crunch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gabriel Reid (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CRUNCH-582) Upgrade Guava Dependency to 0.18
Date Tue, 19 Jan 2016 16:45:39 GMT

    [ https://issues.apache.org/jira/browse/CRUNCH-582?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15106979#comment-15106979
] 

Gabriel Reid commented on CRUNCH-582:
-------------------------------------

I'm ok with it if it makes a big difference for people using modern versions (e.g. 18.0),
but if it isn't really going to resolve the issues for users of newer Guava versions then
it's probably better to stick with the old version (and try shading Guava as discussed in
CRUNCH-581). 

Having said that, I've been meaning to look at the shading approach for who knows how long
now and have been too busy/lazy to actually do it, so if going to 14.0.1 is going to help
some/most people then let's do it.

> Upgrade Guava Dependency to 0.18
> --------------------------------
>
>                 Key: CRUNCH-582
>                 URL: https://issues.apache.org/jira/browse/CRUNCH-582
>             Project: Crunch
>          Issue Type: Improvement
>          Components: Core
>            Reporter: Micah Whitacre
>            Assignee: Josh Wills
>         Attachments: CRUNCH-582.patch
>
>
> Mentioned on CRUNCH-356, the version of Guava on which Crunch is currently based is quite
old and several of the APIs used have been removed making it difficult for consumer to use
later versions of Guava.  Upgrading to the latest released version (18.0) should help keep
the dependencies modern.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message